Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Sigil

Notices

Reply
 
Thread Tools Search this Thread
Old 08-17-2018, 05:35 PM   #1
st_albert
Guru
st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'
 
Posts: 667
Karma: 150000
Join Date: Feb 2010
Device: none
Building Sigil 0.9.9 under Kubuntu 18.05 Bionic

Woe is me! I recently upgraded my Kubuntu 16.04 to the next LTS release, which is 18.04 (bionic beaver).

When I run sigil (previously built from source, ver. 0.9.9, on 16.04), it crashes as follows:
Code:
$ sigil
/usr/local/lib/sigil/sigil: error while loading shared libraries: 
libhunspell-1.3.so.0: cannot open shared object file: 
No such file or directory
I now have libhunspell-1.6.so.0. And as you may expect, this is just the first of many mismatched libraries.

So I tried to re-build sigil, but cmake failed with:
Code:
cmake error:
 Failed to find Qt5 component "LinguistTools" config file at
  "/usr/lib/x86_64-linux-gnu/cmake/Qt5LinguistTools/Qt5LinguistToolsConfig.cmake"
The upgraded system has
Code:
cmake:
  Installed: 3.10.2-1ubuntu2
and indeed there is no "/usr/lib/x86_64-linux-gnu/cmake/Qt5LinguistTools/" directory.

I'm just a little out of my depth here, to say the least. What should I try next?

Thanks in advance,

Albert
st_albert is offline   Reply With Quote
Old 08-17-2018, 06:28 PM   #2
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 18,835
Karma: 97805504
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
sudo apt-get qttools5-dev and/or qttools-dev-tools should take care of that. I'm afraid I've lost track of which version of which os needs which.

Looks like bionic is at sigil 0.9.9 in its repos. If they make it to 9.9.10 soon you may want to consider sticking to the repo version. That way system upgrades won't break it.

I just had a similar thing happen to me on Arch. The upgrade of the system Python to 3.7 broke my custom compiled version of Sigil that was built against 3.6.

EDIT: Make sure to check the Linux build docs in the src directory or online. The Qt5 dependency list was recently updated based on your exact issue, it seems. qttools5-dev seems to be the missing culprit on newer Ubuntu versions.

Last edited by DiapDealer; 08-17-2018 at 06:38 PM.
DiapDealer is offline   Reply With Quote
Old 08-17-2018, 07:11 PM   #3
st_albert
Guru
st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'
 
Posts: 667
Karma: 150000
Join Date: Feb 2010
Device: none
Thanks for the quick reply! I had installed qttools5-dev-tools, but not qttools5-dev. The freshly-built sigil seems at first glance to be running fine.
Quote:
Looks like bionic is at sigil 0.9.9 in its repos. If they make it to 9.9.10 soon you may want to consider sticking to the repo version. That way system upgrades won't break it.
NOW you tell me!
So it is. I never thought to look.

If I were to remove my current version, but leave the config directory, and then install the repo version would it blow away my preferences, plugins, etc or would it recognize them, I wonder?

Albert
st_albert is offline   Reply With Quote
Old 08-17-2018, 07:19 PM   #4
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 18,835
Karma: 97805504
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
Quote:
Originally Posted by st_albert View Post
If I were to remove my current version, but leave the config directory, and then install the repo version would it blow away my preferences, plugins, etc or would it recognize them, I wonder?
Your preferences should be retained. I don't believe the repo versions change the location of the sigil's config. You could always back them up to be safe, but I think you'll be fine.

Last edited by DiapDealer; 08-17-2018 at 07:24 PM.
DiapDealer is offline   Reply With Quote
Old 08-17-2018, 08:19 PM   #5
st_albert
Guru
st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'st_albert gives new meaning to the word 'superlative.'
 
Posts: 667
Karma: 150000
Join Date: Feb 2010
Device: none
Quote:
Originally Posted by DiapDealer View Post
EDIT: Make sure to check the Linux build docs in the src directory or online. The Qt5 dependency list was recently updated based on your exact issue, it seems. qttools5-dev seems to be the missing culprit on newer Ubuntu versions.
Actually I did check it -- but it's ver 0.9.9 and I d/l'd it in late Dec 2017. It doesn't mention qttools5-dev, only qttools5-dev-tools. The online version, of course, mentions both.

And as for the repos version, I think I'll hold off on that 'till the version after 0.9.10. That issue with not being able to switch from a certain place in Preview to the corresponding code in code view is something I'd rather avoid. And also there seem to be a number of tweaks to master since 0.9.10 that are worth waiting for. In the mean time, 0.9.9 serves me well.

And again, sincere thanks for your help. Less than 1 hour between when I posted my question and when you posted the solution! Outstanding!

Albert
st_albert is offline   Reply With Quote
Old 08-17-2018, 08:31 PM   #6
KevinH
Wizard
KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.KevinH ought to be getting tired of karma fortunes by now.
 
Posts: 3,031
Karma: 1931746
Join Date: Nov 2009
Device: many
If you are building from source anyway, you can clone master or get a zip of the source from current master in Sigil's github website if you want, and get all of the current fixes including both links in Preview working alongside clicking in Preview to update the cursor in CodeView.
KevinH is offline   Reply With Quote
Old 08-17-2018, 08:35 PM   #7
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 18,835
Karma: 97805504
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
Quote:
Originally Posted by st_albert View Post
Actually I did check it -- but it's ver 0.9.9 and I d/l'd it in late Dec 2017. It doesn't mention qttools5-dev, only qttools5-dev-tools. The online version, of course, mentions both.
You're right! Hard to check the docs in 0.9.9 for changes that weren't made until 0.9.10.

Quote:
Originally Posted by st_albert View Post
And again, sincere thanks for your help. Less than 1 hour between when I posted my question and when you posted the solution! Outstanding!
You're quite welcome.
DiapDealer is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
sigil 0.8.1 building on linux blackest Sigil 9 10-15-2014 06:22 PM
Building Sigil from source on Linux evilmrb Sigil 10 04-29-2013 01:18 PM
Problems building Sigil on Win7/64 Man Eating Duck Sigil 11 10-03-2012 02:51 PM
installing sigil on kubuntu Tambayo Sigil 3 04-23-2012 10:05 AM
Building Sigil under Linux st_albert Sigil 1 08-07-2011 03:19 PM


All times are GMT -4. The time now is 01:54 AM.


MobileRead.com is a privately owned, operated and funded community.